
I was 20 and was living in Algeria, all day I had a sore throat but in the evening, when I went to bed, my throat was sorer and I had difficulty swallowing. I couldn't sleep well, but due to tiredness I succeeded in falling slightly asleep, but waking up often due to pain at deglutition. In the morning, immediately after opening my eyes, I felt sick and I called my mother who was in the next room. Because my throat was so sore, I couldn't shout and she wasn't hearing me, as a result I got up to go see her, because I felt I would lose consciousness. I walked a few steps while still calling her, and suddenly I fell down.

Then it was suddenly night, I didn't see anything, but heard my mother asking my brothers to take me to the living room, but I didn't feel being lifted by my brother. It was still black and I still didn't see anything, I only heard, that was it. Then I opened my eyes and I saw that my brother had put me down on a carpet in the living room. I saw the worry of my mother and my brothers who were bending over me, and I was listening to my mother who said to my brother, ‘look she is all blue, her face, her hands. Run to get the doctor’. I looked at them and said, ‘No I'm okay’, but I noticed that they didn't hear me, so I sat up and spoke.

‘Mother, I feel good.’ But she didn't see me and suddenly her hand went through my chest to touch something behind me. I turned around and realized that I was sitting on top of me, meaning half of myself was in my body, from buttocks to the feet, and the upper part of me from my head and chest, wasn't in my body anymore. I saw myself, all blue with open eyes as if being dead. I panicked and screamed to my mother ‘I'm there!’

I saw a thick rope of a silvery white color coming out between my lungs. What shocked me, at once, was that this rope was going straight from my body towards the window. While looking through the window to see where this rope was leading, I saw three women holding the other end of the rope.

They were suspended in the air holding the end of the rope and were pulling. They were upside down, their feet towards the sky and their hands and faces towards me, still pulling the rope. I panicked, understanding that if they would pull too strongly I would be dying. I, also, pulled at the rope at my side to prevent it detaching from my torso. I asked why they were doing that.

They answered me without talking. They thought and I heard that they were saying, ‘It's time’. I yelled, ‘No! No! I don't want this, I'm scared, leave me alone, I'm scared I want my mother! Mama! Mama!’ Then they asked me why I didn't want to go, and I answered them, ‘I didn't do anything yet, I'm not married, I have no child, my family needs me, what good to be born if it is to leave now? Leave me alone. I want to stay here. I don't want to leave my family, go away!’

I pulled the rope even harder towards myself. I was completely panicked at the thought of dying, and at that moment, it was out of the question for me. While pulling at the rope, I looked at them. They were of a certain age about 60-65 years old and dressed normally. What astonished me was that even though their heads were down towards me. Logically their skirts should have been hanging down over their heads, but this was not the case. It was as if there was a wind blowing from below to above, and their clothes remained along the body. I didn't know those persons and they scared me a lot. Then suddenly they let go of the rope.

I, straight away, came violently back into my body, and projecting me backwards. I immediately reintegrated the upper part of my physical body and regained consciousness.
